### Class

# Ide Test

#### Description

    class Ide.Test : GObject.Object {
      parent_instance: GObject
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_test_new

No description available.

#### Instance methods

###### ide_test_get_display_name

Gets the “display-name” property of the test.

Available since: 3.32

###### ide_test_get_group

Gets the “group” property.

Available since: 3.32

###### ide_test_get_icon_name

No description available.

###### ide_test_get_id

Gets the `IdeTest:id` property.

Available since: 3.32

###### ide_test_get_status

No description available.

###### ide_test_set_display_name

Sets the “display-name” property of the unit test.

Available since: 3.32

###### ide_test_set_group

Sets the `IdeTest:group` property.

Available since: 3.32

###### ide_test_set_id

Sets the `IdeTest:id` property.

Available since: 3.32

###### ide_test_set_status

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.Test:display-name

No description available.

###### Ide.Test:group

The “group” property contains the name of the gruop the test belongs to, if any.

Available since: 3.32

###### Ide.Test:id

The “id” property contains the unique identifier of the test.

Available since: 3.32

###### Ide.Test:status

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeTestClass {
      GObjectClass parent;

    }

###### Class members

`parent` |
    GObjectClass
| No description available.